The Active Content Plug-In

Active Content

The Active Content plug-in controls the operation of the following active elements:

    • ActiveX;

    • Java applets;

    • Programs based on Java and Visual Basic Scripts;

    • Cookies;

    • Pop-up windows;

    • Scripting ActiveX;

    • Web page navigation scripts;

    • Referrers;

    • Hidden frames;

    • Animated GIF images;

    • Flash animations.

This plug-in lets you independently allow or block any of these elements that might be contained in the web pages you are browsing or e-mail you are receiving.

The following topics describe how to use Outpost Firewall to set-up Active Content plug-in:

Enabling Active Content Filtering

Setting up Active Content filtering for all sites

Setting up Active Content filtering for particular sites

Setting up Active Content elements for email and news

Viewing the Active Content log


Viewing Active content log

Viewing the Active Content Log

To view the Active Content log:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu.

  2. Select Show Outpost Firewall.

  3. Highlight Active Content in the Plug-ins tree.

  4. Press the Show Detailed Log button on the plug-in information panel.

  5. Outpost Log Viewer will be run displaying the log for the Active Content plug-in.

You will see the elements that Active Content has blocked.

For more information about the Outpost log system, please read The Outpost Log System chapter.

Related Topics

Enabling Active Content Filtering

Setting up Active Content filtering for all sites

Setting up Active Content filtering for particular sites

Setting up Active Content filtering for email and news


Enabling Active content blocking

Enabling Active Content Filtering

To enable the Active Content simply start the plug-in.

  1. On the main menu select Options

  2. Select Plug-Ins to bring up the Plug-Ins configuration dialog box

  3. Highlight Active Content

  4. Click Start.

Note

You can quickly access the plug-in properties by right-clicking its name in the left panel of Outpost Firewall's main window.

Related Topics

Setting up Active Content blocking for all sites

Setting up Active Content blocking for a particular site

Setting up Active Content elements for email and news


Setting up Active content element for email and news

Setting up Active Content Elements for Email and News

To allow or deny a particular active content element for incoming email and news:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Active Content

  4. Click Settings

  5. Click Mail and News

  6. Select an Active Content element and specify how it should be treated:

    • Disabled—element is always blocked

    • Prompt—Outpost prompts you before activating an element

    • Enabled—element is always activated

Notes

    • You can quickly access the plug-in properties by right-clicking its name in the left panel of Outpost Firewall main window.

    • The Prompt option is not available for Referrers, Navigation, Visual Basic, or Java scripts, Hidden Frames and External Active Content.

Related Topics

Enabling Active Content Filtering

Setting up Active Content filtering for all sites

Setting up Active Content filtering for a particular site


Setting up Active content blocking for all sites

Setting up Active Content Filtering for Web Sites

To specify how to treat particular Active Content elements for all web sites:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Active Content

  4. Click Settings

  5. Select an Active Content element and specify how it should be treated:

      • Disabled—element is always blocked

      • Prompt—Outpost prompts you before activating an element

      • Enabled—element is always activated

Notes

    • You can quickly access the plug-in properties by right-clicking its name in the left panel of Outpost Firewall's main window.

Related Topics

Enabling Active Content Filtering

Setting up Active Content filtering for a particular site

Setting up Active Content filtering for email and news


Setting up Active content blocking for particular site

Personalizing Filtering settings for specific Web sites

To set the policy for handling active content elements individually for a particular web site:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Active Content

  4. Click Settings

  5. Click Exclusions and click Add

  6. Type the web site name and click OK

  7. Specify how the site Active Content should be treated in the Policy Settings dialog

    • Disabled—element is always blocked from this site

    • Enabled—element is always activated from this site

    • Use Default Settings— element behaviour is default for this site.

Notes

    • You can quickly access the plug-in properties by right-clicking its name in the left panel of Outpost Firewall main window.

    • The Prompt option is not available for Referrers, Navigation, Visual Basic, or Java scripts, Hidden Frames and External Active Content.

    • Select Add Web sites to the exclusions list on the first visit to automatically add all the sites you open in your browser to the list so that you will be able to customize active content handling policy individually for each of them.

Related Topics

Enabling the Active Content Filtering

Setting up Active Content filtering for all sites

Setting up Active Content filtering for email and news

Viewing the Active Content Log


.topic 0x80710002
Closes dialog without saving changes you have made.

.topic 0x806903fa
Always allow this type of requested content.

.topic 0x806903f5
Allow this type of requested content this time only.

.topic 0x806903fb
Always block this type of requested content.

.topic 0x806903f6
Block this type of requested content this time only.

.topic 0x806903f8
Remember current selection and use it next time this type of content is requested.

.topic 0x80650410
Select to add each of the newly visitied sites to the exclusion list so that individual active content treatment settings could be specified for them.

.topic 0x80650406
Hosts exclusion list.

.topic 0x806503f3
Add host to the exclusion list.

.topic 0x806903fc
Edit individual host active content treatment settings.

.topic 0x80650408
Locate host with specified name in the list.

.topic 0x80650407
Click to modify host active content treatment settings.

.topic 0x806503f4
Click to remove selected host from the list.

.topic 0x80700409
Type the host name to locate in the list.

.topic 0x8071040b
Click to add new host to the exclusion list.

.topic 0x806703ea
List of active content elements and their treatment settings.

.topic 0x806703f3
Reset host active content treatment settings to default active content treatment policy settings.

.topic 0x80710001
Click to close dialog and save chages.

.topic 0x301
Select to apply the global setting for the elements of this type.

.topic 0x302
Select if you want to allow elements of this type on the web pages.

.topic 0x303
Select if you want to be prompted whether the element should be blocked or allowed each time Outpost encounters the element of this type.

.topic 0x304
Select if you want to block elements of this type on the web pages.

.topic 0x305
Select if you want to display the first frame of the animated GIF image only.